# Interface methods for submodule: vnl_c_vector
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: vnl_c_vector
class vnl_c_vectorProxy():
	@staticmethod
	@overload
	def sum(v, n: int):
		""""""
		...

	@staticmethod
	@overload
	def sum(v, n: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def sum(v, n: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def squared_magnitude(p, n: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def squared_magnitude(p, n: int) -> int:
		""""""
		...

	@staticmethod
	def normalize(arg0, n: int) -> None:
		""""""
		...

	@staticmethod
	def copy(x, y, arg2: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def scale(x, y, arg2: int, arg3) -> None:
		""""""
		...

	@staticmethod
	@overload
	def scale(x, y, arg2: int, arg3: float) -> None:
		""""""
		...

	@staticmethod
	@overload
	def scale(x, y, arg2: int, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def add(x, y, z, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def add(x, y: float, z, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def add(x, y: int, z, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def subtract(x, y, z, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def subtract(x, y: float, z, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def subtract(x, y: int, z, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def multiply(x, y, z, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def multiply(x, y: float, z, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def multiply(x, y: int, z, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def divide(x, y, z, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def divide(x, y: float, z, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def divide(x, y: int, z, arg3: int) -> None:
		""""""
		...

	@staticmethod
	def negate(x, y, arg2: int) -> None:
		""""""
		...

	@staticmethod
	def invert(x, y, arg2: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def saxpy(a, x, y, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def saxpy(a: float, x, y, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def saxpy(a: int, x, y, arg3: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def fill(x, arg1: int, v) -> None:
		""""""
		...

	@staticmethod
	@overload
	def fill(x, arg1: int, v: float) -> None:
		""""""
		...

	@staticmethod
	@overload
	def fill(x, arg1: int, v: int) -> None:
		""""""
		...

	@staticmethod
	def reverse(x, arg1: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def dot_product(arg0, arg1, arg2: int):
		""""""
		...

	@staticmethod
	@overload
	def dot_product(arg0, arg1, arg2: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def dot_product(arg0, arg1, arg2: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def inner_product(arg0, arg1, arg2: int):
		""""""
		...

	@staticmethod
	@overload
	def inner_product(arg0, arg1, arg2: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def inner_product(arg0, arg1, arg2: int) -> int:
		""""""
		...

	@staticmethod
	def conjugate(arg0, arg1, arg2: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def max_value(arg0, arg1: int):
		""""""
		...

	@staticmethod
	@overload
	def max_value(arg0, arg1: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def max_value(arg0, arg1: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def min_value(arg0, arg1: int):
		""""""
		...

	@staticmethod
	@overload
	def min_value(arg0, arg1: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def min_value(arg0, arg1: int) -> int:
		""""""
		...

	@staticmethod
	def arg_max(arg0, arg1: int) -> int:
		""""""
		...

	@staticmethod
	def arg_min(arg0, arg1: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def mean(p, n: int):
		""""""
		...

	@staticmethod
	@overload
	def mean(p, n: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def mean(p, n: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def std(p, n: int):
		""""""
		...

	@staticmethod
	@overload
	def std(p, n: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def sum_sq_diff_means(v, n: int):
		""""""
		...

	@staticmethod
	@overload
	def sum_sq_diff_means(v, n: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def sum_sq_diff_means(v, n: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def one_norm(p, n: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def one_norm(p, n: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def two_norm(p, n: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def two_norm(p, n: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def inf_norm(p, n: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def inf_norm(p, n: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def two_nrm2(p, n: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def two_nrm2(p, n: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def rms_norm(p, n: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def rms_norm(p, n: int) -> int:
		""""""
		...

	@staticmethod
	@overload
	def euclid_dist_sq(arg0, arg1, arg2: int):
		""""""
		...

	@staticmethod
	@overload
	def euclid_dist_sq(arg0, arg1, arg2: int) -> float:
		""""""
		...

	@staticmethod
	@overload
	def euclid_dist_sq(arg0, arg1, arg2: int) -> int:
		""""""
		...

	@staticmethod
	def allocate_Tptr(n: int):
		""""""
		...

	@staticmethod
	def allocate_T(n: int):
		""""""
		...

	@staticmethod
	def deallocate(arg0, n_when_allocated: int) -> None:
		""""""
		...

